Bug 201469 - bcm43xx driver needs updated pci ids
bcm43xx driver needs updated pci ids
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-08-05 18:58 EDT by Trever Adams
Modified: 2015-01-04 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-14 01:55:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
lspci -vvv and lspci -n (26.26 KB, text/plain)
2006-08-05 19:00 EDT, Trever Adams
no flags Details

  None (edit)
Description Trever Adams 2006-08-05 18:58:12 EDT
Description of problem:
Included is the lspci -vvv and lspci -n output. bcm43xx needs to be updated to
include the appropriate ids as it is currently not seeing my bcm4311 as a bcm43xx.

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Trever Adams 2006-08-05 19:00:05 EDT
Created attachment 133698 [details]
lspci -vvv and lspci -n

I believe this contains the necessary information to update the driver with the
right pci ids.
Comment 2 Trever Adams 2006-08-05 19:30:33 EDT
Yes, before anyone asks, I do have what I believe to be the appropriate firmware
in place, extracted from the driver with fwcutter.
Comment 3 Trever Adams 2006-08-15 14:46:17 EDT
The driver currently only supports PCI. bcm4311 is pci express. I have learned
this doing more reading.

Anything I need to do? Mark this closed? Bug you all to help add pci express?
Comment 4 Dave Jones 2006-09-14 01:55:35 EDT
Your best bet is to get involved with the upstream project directly, and Fedora
will inherit any changes due to its constant rebasing to stay close to mainline.

Note You need to log in before you can comment on or make changes to this bug.